#!/bin/bash

set -e

OPT=
#OPT="$OPT WITH_FULL_UNICODE_FONT=1"

if [ -z "$1" ]; then
    echo "usage:"
    echo "  ./dev-build.sh <install-prefix-path> [clean]"
fi


if [ "$2" == "clean" ]; then
	scons PREFIX="$1" DEBUG=1 $OPT -c
	scons PREFIX="$1-release" $OPT BUILD_DIR=build-release -c
	cd demo
	PKG_CONFIG_PATH="$1-release/lib/pkgconfig" scons -c
else
	scons PREFIX="$1" DEBUG=1 $OPT install
	scons PREFIX="$1-release" $OPT BUILD_DIR=build-release install
	cd demo
	PKG_CONFIG_PATH="$1-release/lib/pkgconfig" scons
fi
