#ifndef HELI_NUKLEAR_HELI_H
#define HELI_NUKLEAR_HELI_H


#include "animation.h"


#include <math.h>
#include <stdio.h>
#include <assert.h>
#include <stdlib.h>
#include <string.h>


#define NK_INCLUDE_FIXED_TYPES
#define NK_INCLUDE_STANDARD_IO
#define NK_INCLUDE_STANDARD_VARARGS
#define NK_INCLUDE_DEFAULT_ALLOCATOR
#include "nuklear.h"


typedef struct {
  struct nk_context context;
  struct nk_user_font font;
} nk_heli;


unsigned int nk_color_to_heli(struct nk_color c);
struct nk_color nk_color_from_heli(unsigned int c);


nk_bool nk_heli_init(nk_heli *n, double fontSize);
void nk_heli_deinit(nk_heli *n);
struct nk_image nk_heli_image(Animation anim, int width, int height);
void nk_heli_input(nk_heli *n);
void nk_heli_draw(nk_heli *n);
void nk_heli_process(nk_heli *n);


#endif
