#ifndef HELI_SOUND_H
#define HELI_SOUND_H


#include "common.h"


typedef struct _Sound *Sound;


Sound createSound(const char *path);
Sound createSoundFromMemory(const void *data, int size);
void soundDestroy(Sound sound);
Sound soundClone(Sound sound);
void soundPlay(Sound sound, int loop);
void soundStop(Sound sound);


#endif
