#ifndef HELI_FRAMEBUFFER_H
#define HELI_FRAMEBUFFER_H


#include "common.h"

typedef struct _Framebuffer *Framebuffer;


Framebuffer createFramebuffer(int width, int height);
Framebuffer createFramebufferEx(int width, int height, const void *pixels, int horWrap, int vertWrap, int smooth);
Framebuffer createFramebufferFromFile(const char *path);
void framebufferDestroy(Framebuffer framebuffer);

void framebufferFlush(Framebuffer framebuffer);
int framebufferGetWidth(Framebuffer framebuffer);
int framebufferGetHeight(Framebuffer framebuffer);
unsigned int framebufferGetGLTexId(Framebuffer framebuffer);
unsigned int framebufferGetGLId(Framebuffer framebuffer);


#endif
